Package org.gradle.api.artifacts.component

# Interface RootComponentIdentifier

All Superinterfaces:
  `ComponentIdentifier`

@Incubating public interface RootComponentIdentifier extends ComponentIdentifier
An opaque identifier for a component at the root of a dependency graph.

The root component owns the root variant, which itself contains all first-level declared dependencies to be resolved.

Since:
  9.0.0

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentIdentifier

  `getDisplayName`